curl --request PATCH \
--url https://api.quiva.ai/workspaces/space/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"default_status": "<string>",
"statuses": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>",
"order": 123,
"is_visible": true,
"complete": true,
"role": "<string>"
}
],
"record_config_ids": [
"<string>"
],
"default_record_config_id": [
"<string>"
],
"priorities": [
{
"id": "<string>",
"name": "<string>",
"default": true
}
],
"tags": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>"
}
],
"logo": true,
"default_view": "<string>",
"staging": true
}
'import requests
url = "https://api.quiva.ai/workspaces/space/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"default_status": "<string>",
"statuses": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>",
"order": 123,
"is_visible": True,
"complete": True,
"role": "<string>"
}
],
"record_config_ids": ["<string>"],
"default_record_config_id": ["<string>"],
"priorities": [
{
"id": "<string>",
"name": "<string>",
"default": True
}
],
"tags": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>"
}
],
"logo": True,
"default_view": "<string>",
"staging": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
default_status: '<string>',
statuses: [
{
id: '<string>',
name: '<string>',
color: '<string>',
order: 123,
is_visible: true,
complete: true,
role: '<string>'
}
],
record_config_ids: ['<string>'],
default_record_config_id: ['<string>'],
priorities: [{id: '<string>', name: '<string>', default: true}],
tags: [{id: '<string>', name: '<string>', color: '<string>'}],
logo: true,
default_view: '<string>',
staging: true
})
};
fetch('https://api.quiva.ai/workspaces/space/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/workspaces/space/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'default_status' => '<string>',
'statuses' => [
[
'id' => '<string>',
'name' => '<string>',
'color' => '<string>',
'order' => 123,
'is_visible' => true,
'complete' => true,
'role' => '<string>'
]
],
'record_config_ids' => [
'<string>'
],
'default_record_config_id' => [
'<string>'
],
'priorities' => [
[
'id' => '<string>',
'name' => '<string>',
'default' => true
]
],
'tags' => [
[
'id' => '<string>',
'name' => '<string>',
'color' => '<string>'
]
],
'logo' => true,
'default_view' => '<string>',
'staging' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/workspaces/space/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"default_status\": \"<string>\",\n \"statuses\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"color\": \"<string>\",\n \"order\": 123,\n \"is_visible\": true,\n \"complete\": true,\n \"role\": \"<string>\"\n }\n ],\n \"record_config_ids\": [\n \"<string>\"\n ],\n \"default_record_config_id\": [\n \"<string>\"\n ],\n \"priorities\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"default\": true\n }\n ],\n \"tags\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"color\": \"<string>\"\n }\n ],\n \"logo\": true,\n \"default_view\": \"<string>\",\n \"staging\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.quiva.ai/workspaces/space/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"default_status\": \"<string>\",\n \"statuses\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"color\": \"<string>\",\n \"order\": 123,\n \"is_visible\": true,\n \"complete\": true,\n \"role\": \"<string>\"\n }\n ],\n \"record_config_ids\": [\n \"<string>\"\n ],\n \"default_record_config_id\": [\n \"<string>\"\n ],\n \"priorities\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"default\": true\n }\n ],\n \"tags\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"color\": \"<string>\"\n }\n ],\n \"logo\": true,\n \"default_view\": \"<string>\",\n \"staging\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/workspaces/space/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"default_status\": \"<string>\",\n \"statuses\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"color\": \"<string>\",\n \"order\": 123,\n \"is_visible\": true,\n \"complete\": true,\n \"role\": \"<string>\"\n }\n ],\n \"record_config_ids\": [\n \"<string>\"\n ],\n \"default_record_config_id\": [\n \"<string>\"\n ],\n \"priorities\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"default\": true\n }\n ],\n \"tags\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"color\": \"<string>\"\n }\n ],\n \"logo\": true,\n \"default_view\": \"<string>\",\n \"staging\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"url": "<string>",
"name": "<string>",
"description": "<string>",
"default_status": "<string>",
"statuses": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>",
"order": 123,
"is_visible": true,
"complete": true,
"role": "<string>"
}
],
"owner": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"record_config_ids": [
"<string>"
],
"default_record_config_id": [
"<string>"
],
"priorities": [
{}
],
"tags": [
{}
],
"staging": true,
"distribution_bindings": [
{
"distribution_id": "<string>",
"product_id": "<string>",
"side": "publisher",
"counterparty_account_id": "<string>",
"counterparty_name": "<string>",
"folder": "<string>",
"required_roles": [
"<string>"
],
"status_map": {},
"bound_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Update a space
Merges the fields you send over the stored space — send only the fields you are changing. The built-in ESCALATE space cannot be updated and returns 403.
curl --request PATCH \
--url https://api.quiva.ai/workspaces/space/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"default_status": "<string>",
"statuses": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>",
"order": 123,
"is_visible": true,
"complete": true,
"role": "<string>"
}
],
"record_config_ids": [
"<string>"
],
"default_record_config_id": [
"<string>"
],
"priorities": [
{
"id": "<string>",
"name": "<string>",
"default": true
}
],
"tags": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>"
}
],
"logo": true,
"default_view": "<string>",
"staging": true
}
'import requests
url = "https://api.quiva.ai/workspaces/space/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"default_status": "<string>",
"statuses": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>",
"order": 123,
"is_visible": True,
"complete": True,
"role": "<string>"
}
],
"record_config_ids": ["<string>"],
"default_record_config_id": ["<string>"],
"priorities": [
{
"id": "<string>",
"name": "<string>",
"default": True
}
],
"tags": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>"
}
],
"logo": True,
"default_view": "<string>",
"staging": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
default_status: '<string>',
statuses: [
{
id: '<string>',
name: '<string>',
color: '<string>',
order: 123,
is_visible: true,
complete: true,
role: '<string>'
}
],
record_config_ids: ['<string>'],
default_record_config_id: ['<string>'],
priorities: [{id: '<string>', name: '<string>', default: true}],
tags: [{id: '<string>', name: '<string>', color: '<string>'}],
logo: true,
default_view: '<string>',
staging: true
})
};
fetch('https://api.quiva.ai/workspaces/space/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/workspaces/space/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'default_status' => '<string>',
'statuses' => [
[
'id' => '<string>',
'name' => '<string>',
'color' => '<string>',
'order' => 123,
'is_visible' => true,
'complete' => true,
'role' => '<string>'
]
],
'record_config_ids' => [
'<string>'
],
'default_record_config_id' => [
'<string>'
],
'priorities' => [
[
'id' => '<string>',
'name' => '<string>',
'default' => true
]
],
'tags' => [
[
'id' => '<string>',
'name' => '<string>',
'color' => '<string>'
]
],
'logo' => true,
'default_view' => '<string>',
'staging' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/workspaces/space/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"default_status\": \"<string>\",\n \"statuses\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"color\": \"<string>\",\n \"order\": 123,\n \"is_visible\": true,\n \"complete\": true,\n \"role\": \"<string>\"\n }\n ],\n \"record_config_ids\": [\n \"<string>\"\n ],\n \"default_record_config_id\": [\n \"<string>\"\n ],\n \"priorities\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"default\": true\n }\n ],\n \"tags\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"color\": \"<string>\"\n }\n ],\n \"logo\": true,\n \"default_view\": \"<string>\",\n \"staging\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.quiva.ai/workspaces/space/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"default_status\": \"<string>\",\n \"statuses\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"color\": \"<string>\",\n \"order\": 123,\n \"is_visible\": true,\n \"complete\": true,\n \"role\": \"<string>\"\n }\n ],\n \"record_config_ids\": [\n \"<string>\"\n ],\n \"default_record_config_id\": [\n \"<string>\"\n ],\n \"priorities\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"default\": true\n }\n ],\n \"tags\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"color\": \"<string>\"\n }\n ],\n \"logo\": true,\n \"default_view\": \"<string>\",\n \"staging\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/workspaces/space/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"default_status\": \"<string>\",\n \"statuses\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"color\": \"<string>\",\n \"order\": 123,\n \"is_visible\": true,\n \"complete\": true,\n \"role\": \"<string>\"\n }\n ],\n \"record_config_ids\": [\n \"<string>\"\n ],\n \"default_record_config_id\": [\n \"<string>\"\n ],\n \"priorities\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"default\": true\n }\n ],\n \"tags\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"color\": \"<string>\"\n }\n ],\n \"logo\": true,\n \"default_view\": \"<string>\",\n \"staging\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"url": "<string>",
"name": "<string>",
"description": "<string>",
"default_status": "<string>",
"statuses": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>",
"order": 123,
"is_visible": true,
"complete": true,
"role": "<string>"
}
],
"owner": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"record_config_ids": [
"<string>"
],
"default_record_config_id": [
"<string>"
],
"priorities": [
{}
],
"tags": [
{}
],
"staging": true,
"distribution_bindings": [
{
"distribution_id": "<string>",
"product_id": "<string>",
"side": "publisher",
"counterparty_account_id": "<string>",
"counterparty_name": "<string>",
"folder": "<string>",
"required_roles": [
"<string>"
],
"status_map": {},
"bound_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
JWT Authorization header using the Bearer scheme
Path Parameters
Body
Fields are merged over the stored space — send only what you are changing. The space id comes from the path, not the body.
Show child attributes
Show child attributes
Task priority definitions. Removing a priority that tasks still reference queues a background re-assignment onto the fallback priority (the default, or the first), and the update returns 202 instead of 200.
Show child attributes
Show child attributes
Space-level tag definitions.
Show child attributes
Show child attributes
Whether the space has a logo set.
Default board/list view for the space.
Marks a Space for testing so it can be reset. Only root and admin users can set it.
Response
Updated space
UI URL to navigate directly to this space
Show child attributes
Show child attributes
ID of the user who created the space, set by the backend
Marks a space for testing. Only root and admin users can set it. Staging spaces can be reset.
Connections to other accounts. Present on a space connected through distribution.
Show child attributes
Show child attributes